io.flutter.embedding.engine.systemchannels

## Class PlatformChannel.SystemChromeStyle

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.PlatformChannel.SystemChromeStyle

- Enclosing class:
    PlatformChannel

      public static class PlatformChannel.SystemChromeStyle
      extends Object

  The color and brightness of system chrome, e.g., status bar and system navigation bar.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Integer` | `statusBarColor`
    `PlatformChannel.Brightness` | `statusBarIconBrightness`
    `Integer` | `systemNavigationBarColor`
    `Integer` | `systemNavigationBarDividerColor`
    `PlatformChannel.Brightness` | `systemNavigationBarIconBrightness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemChromeStyle(Integer statusBarColor, PlatformChannel.Brightness statusBarIconBrightness, Integer systemNavigationBarColor, PlatformChannel.Brightness systemNavigationBarIconBrightness, Integer systemNavigationBarDividerColor)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statusBarColor

          @Nullable
          public final Integer statusBarColor

    - #### statusBarIconBrightness

          @Nullable
          public final PlatformChannel.Brightness statusBarIconBrightness

    - #### systemNavigationBarColor

          @Nullable
          public final Integer systemNavigationBarColor

    - #### systemNavigationBarIconBrightness

          @Nullable
          public final PlatformChannel.Brightness systemNavigationBarIconBrightness

    - #### systemNavigationBarDividerColor

          @Nullable
          public final Integer systemNavigationBarDividerColor

  - ### Constructor Detail

    - #### SystemChromeStyle

          public SystemChromeStyle(@Nullable
                                   Integer statusBarColor,
                                   @Nullable
                                   PlatformChannel.Brightness statusBarIconBrightness,
                                   @Nullable
                                   Integer systemNavigationBarColor,
                                   @Nullable
                                   PlatformChannel.Brightness systemNavigationBarIconBrightness,
                                   @Nullable
                                   Integer systemNavigationBarDividerColor)